# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'simple_ssh_backup/version'

Gem::Specification.new do |spec|
  spec.name          = 'simple_ssh_backup'
  spec.version       = SimpleSshBackup::VERSION
  spec.authors       = ['David Prandzioch']
  spec.email         = ['kontakt@davidprandzioch.de']
  spec.summary       = %q{Simple ssh backup tool}
  spec.description   = ''
  spec.homepage      = 'http://github.com/dprandzioch/simplesshbackup'
  spec.license       = 'GPLv2'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = ['ssb']
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.0.0'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_dependency 'net-ssh', '~> 2.9.1'
  spec.add_dependency 'net-scp', '~> 1.2.1'
  spec.add_dependency 'thor', '~> 0.19.1'
  spec.add_dependency 'ruby-progressbar', '~> 1.7.5'
end
